INTERFACE
SUBROUTINE SUJQDATA(klev,ksmax,pcovt,pcovv,pcovd,pcovq,pcovo)
USE PARKIND1, ONLY: JPIM, JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: klev,ksmax
REAL(KIND=JPRB), INTENT(OUT) :: pcovt(klev+1,klev+1,0:ksmax)
REAL(KIND=JPRB), INTENT(OUT) :: pcovv(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(OUT) :: pcovd(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(OUT) :: pcovq(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(OUT) :: pcovo(klev,klev,0:ksmax)
END SUBROUTINE SUJQDATA
END INTERFACE
